## org.eclipse.emf.mapping.presentation
Class MappingEditor.DelayedColumnFitter

    java.lang.Object
      org.eclipse.swt.events.ControlAdapter
          org.eclipse.emf.mapping.presentation.MappingEditor.DelayedColumnFitter

All Implemented Interfaces:
  java.util.EventListener, ControlListener, org.eclipse.swt.internal.SWTEventListener

Enclosing class:
  MappingEditor

    protected static class MappingEditor.DelayedColumnFitter

extends ControlAdapter

Nested Class Summary
`protected class` `MappingEditor.DelayedColumnFitter.DelayedLayout`

Field Summary
`protected int` `columnResizeTime`
`protected MappingEditor.DelayedColumnFitter.DelayedLayout` `delayedLayout`
`protected boolean` `inLayout`
`protected int` `oldWidth`
`protected Table` `table`

Constructor Summary
`protected` `MappingEditor.DelayedColumnFitter()`

Method Summary
`void` `controlResized(ControlEvent event)`

Methods inherited from class org.eclipse.swt.events.ControlAdapter
`controlMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected Table table

### delayedLayout

    protected MappingEditor.DelayedColumnFitter.DelayedLayout delayedLayout

### columnResizeTime

    protected int columnResizeTime

### oldWidth

    protected int oldWidth

### inLayout

    protected boolean inLayout

Constructor Detail

### MappingEditor.DelayedColumnFitter

    protected MappingEditor.DelayedColumnFitter()

Method Detail

### controlResized

    public void controlResized(ControlEvent event)

  Specified by:
    `controlResized` in interface `ControlListener`
  Overrides:
    `controlResized` in class `ControlAdapter`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.